
Redmine - Feature #13742

Multi project for email incoming

2013-04-11 00:13 - Jeoffrey Bauvin

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Hello,

I would like to do this :

When I send an email to tracker-project1@bar.com, it's create an issue for the project1

When I send an email to tracker-project2@bar.com, it's create an issue for the project2

I don't know how to use this ? But, the second problem is, when Redmine will send the notification mail, he'll send from 

tracker@bar.com... How will he know to update the issue for project2 for example ?

Or using a same address for different project ? I have tested rake without "project=project1", and the mail stay in the mailbox...

For the moment, i'm using rake to check an imap mailbox... I'm using the last version of Redmine.

Regards,

Related issues:

Related to Redmine - Feature #4015: Make app settings overridable at project ... New 2009-10-10

Related to Redmine - Feature #1853: Make Projects truly independent of each o... New 2008-09-04

Related to Redmine - Feature #7349: Per-project email notification settings New 2011-01-17

Related to Redmine - Patch #20732: MailHandler: Select project by subaddress ... Closed

Has duplicate Redmine - Feature #22071: Different outgoing email addresses - ... Closed

History

#1 - 2013-04-11 17:15 - Toshi MARUYAMA

- Tracker changed from Defect to Feature

#2 - 2013-04-11 17:45 - Dipan Mehta

In essence this requirements fall into per-project functionality configuration. This can be put under the umbrella of #4015 (settings overridable at

project level) or #1853 (make projects truly independent). So in either approach this can be achieved.

Specifically, this issue is a related (may be duplicate) of #7349.

#3 - 2013-04-11 21:35 - Jan Niggemann (redmine.org team member)

What would be the improvements by implementing your request?

You can already say project: foo and tracker: bar in the mail body to achive the same...

#4 - 2016-03-18 05:37 - Toshi MARUYAMA

- Has duplicate Feature #22071: Different outgoing email addresses - per project email alias / different incoming email alias with mapping into a

specific project added

#5 - 2018-09-15 09:24 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

You can select a project by subaddress since Redmine 3.2. It means that you can use email addresses like this:

foo+projectid@redmine.example.com. See #20732 and RedmineReceivingEmails for details.
#6 - 2018-09-15 09:25 - Go MAEDA

- Related to Patch #20732: MailHandler: Select project by subaddress (redmine+project@example.com) added
